aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJohn Crispin <blogic@openwrt.org>2014-07-10 19:16:39 +0000
committerJohn Crispin <blogic@openwrt.org>2014-07-10 19:16:39 +0000
commit406e661fa4f79e6a30992f5fe4231bd8aad9fb9d (patch)
treeb614522bb2559e1ab7d75a1c6a0b9ca608196a95
parente4ec975b0ae4f8c62a2b65d446a4ac4b77e8201c (diff)
downloadmaster-187ad058-406e661fa4f79e6a30992f5fe4231bd8aad9fb9d.tar.gz
master-187ad058-406e661fa4f79e6a30992f5fe4231bd8aad9fb9d.tar.bz2
master-187ad058-406e661fa4f79e6a30992f5fe4231bd8aad9fb9d.zip
lantiq: enable SysupgradeNAND for BTHOMEHUBV2B
Enables SysupgradeNAND for BTHOMEHUBV2B. Depends on the following patches: http://patchwork.openwrt.org/patch/5817/ http://patchwork.openwrt.org/patch/5848/ http://patchwork.openwrt.org/patch/5851/ Many thanks everyone for your help the last couple of days. Ben Signed-off-by: Ben Mulvihill <ben.mulvihill@gmail.com> git-svn-id: svn://svn.openwrt.org/openwrt/trunk@41566 3c298f89-4303-0410-b956-a3cf2f4a3e73
-rwxr-xr-xtarget/linux/lantiq/base-files/lib/upgrade/platform.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/target/linux/lantiq/base-files/lib/upgrade/platform.sh b/target/linux/lantiq/base-files/lib/upgrade/platform.sh
index 841566ea93..bef395ad7b 100755
--- a/target/linux/lantiq/base-files/lib/upgrade/platform.sh
+++ b/target/linux/lantiq/base-files/lib/upgrade/platform.sh
@@ -1,7 +1,17 @@
+. /lib/functions/lantiq.sh
+
PART_NAME=firmware
platform_check_image() {
[ "$#" -gt 1 ] && return 1
+ local board=$(lantiq_board_name)
+
+ case "$board" in
+ BTHOMEHUBV2B )
+ nand_do_platform_check $board $1
+ return $?;
+ ;;
+ esac
case "$(get_magic_word "$1")" in
# uImage